Skip to main content
GET
Get Pipeline Run

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.

Path Parameters

pipeline_id
string<uuid>
required

Pipeline run ID

Response

Successful Response

Response model for a pipeline run (run-all-enrichment orchestrator).

id
string<uuid>
required

Unique pipeline run identifier

asset_fqn
string
required

Fully qualified name of the target data asset

status
string
required

Pipeline run status

Examples:

"running"

"completed"

"completed_with_errors"

total_tables
integer
required

Total number of tables to process

completed_tables
integer
required

Number of tables that have completed PII + sensitivity tagging

failed_tables
integer
required

Number of tables where PII or sensitivity tagging failed

total_schemas
integer
required

Total number of schemas in scope

completed_schemas
integer
required

Number of schemas where metadata-enrichment completed

failed_schemas
integer
required

Number of schemas where metadata-enrichment failed

created_at
string<date-time>
required

Pipeline run creation timestamp

completed_at
string<date-time> | null

Timestamp when pipeline reached terminal status

created_by
string | null

User ID who triggered the pipeline